Method: projects.locations.deployments.patch

Update a deployment resource in the API hub. The following fields in the deployment resource can be updated:

HTTP request

PATCH https://apihub.googleapis.com/v1/{deployment.name=projects/*/locations/*/deployments/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
deployment.name

string

Identifier. The name of the deployment.

Format: projects/{project}/locations/{location}/deployments/{deployment}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Deployment.

Response body

If successful, the response body contains an instance of Deployment.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/apihub.readwrite
  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the name resource:

  • apihub.deployments.update

For more information, see the IAM documentation.